#!/bin/bash

sensors=(os0-32 os0-64 livox kinect l515 d455 zed2i)

for sensor in ${sensors[@]}; do
  ape=$(evo_ape tum ../gt/$sensor.txt $sensor.txt -a)
  ape_rmse=$(echo $ape | grep -Eo "rmse\s[0-9\.]+")
  ape_std=$(echo $ape | grep -Eo "std\s[0-9\.]+")

  rpe=$(evo_rpe tum ../gt/$sensor.txt $sensor.txt -a --delta 2 --delta_unit m --all_pairs)
  rpe_rmse=$(echo $rpe | grep -Eo "rmse\s[0-9\.]+")
  rpe_std=$(echo $rpe | grep -Eo "std\s[0-9\.]+")

  echo $sensor  APE $ape_rmse $ape_std  RPE $rpe_rmse $rpe_std
done

